Description

I've had multiple times the need to post-process a project file, after it has been saved.

In this moment we can only intercept when the writing begins, but not when it finishes.

Could we emit a new signal at the end of the write() method of QgsProject?

History

#1 - 2014-06-28 07:43 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#2 - 2014-06-28 08:46 AM - Giovanni Allegri

The aim of this would be giving other parts of code the opportunity to alter the xml content before being saved to file (e. g.  a plugin). 

My doubt is on the connection type. If not set, AutoConnection is used, but it won't guarantee to execute the slot code before saving the file. It depends if

the signal and the slot run on the same thread or not. 

In case of a single threaded python plugin code do the QgsProject::write will execute on the same thread of a python slot? I.e., will the slot be executed

synchronously?

#3 - 2017-05-01 12:48 AM - Giovanni Manghi

- Easy fix? set to No
